org.jetlang.web

## Class WebDispatcher<S>

- java.lang.Object
- - org.jetlang.web.WebDispatcher<S>

All Implemented Interfaces:
  NioAcceptorHandler.ClientFactory

    public class WebDispatcher<S>
    extends Object
    implements NioAcceptorHandler.ClientFactory

### Constructor Summary

Constructors
Constructor and Description
`WebDispatcher(org.jetlang.fibers.NioFiber readFiber, HttpRequestHandler<S> handler, int readBufferSizeInBytes, int maxReadLoops, SessionFactory<S> factory, SessionDispatcherFactory<S> dispatcherFact)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.jetlang.fibers.NioChannelHandler` `createHandler(SelectionKey key, SocketChannel channel, org.jetlang.fibers.NioFiber fiber, org.jetlang.fibers.NioControls controls)`
`void` `onAccept(org.jetlang.fibers.NioFiber acceptorFiber, org.jetlang.fibers.NioControls acceptorControls, SelectionKey key, SocketChannel channel)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WebDispatcher

    public WebDispatcher(org.jetlang.fibers.NioFiber readFiber,
                         HttpRequestHandler<S> handler,
                         int readBufferSizeInBytes,
                         int maxReadLoops,
                         SessionFactory<S> factory,
                         SessionDispatcherFactory<S> dispatcherFact)

### Method Detail

#### onAccept

    public void onAccept(org.jetlang.fibers.NioFiber acceptorFiber,
                         org.jetlang.fibers.NioControls acceptorControls,
                         SelectionKey key,
                         SocketChannel channel)

Specified by:
  `onAccept` in interface `NioAcceptorHandler.ClientFactory`

#### createHandler

    protected org.jetlang.fibers.NioChannelHandler createHandler(SelectionKey key,
                                                                 SocketChannel channel,
                                                                 org.jetlang.fibers.NioFiber fiber,
                                                                 org.jetlang.fibers.NioControls controls)